Bug 1878234 (rust-picky-asn1) - Review Request: rust-picky-asn1 - Provide ASN.1 simple types
Summary: Review Request: rust-picky-asn1 - Provide ASN.1 simple types
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-picky-asn1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PARSEC rust-picky-asn1-der rust-picky-asn1-x509 rust-picky
TreeView+ depends on / blocked
 
Reported: 2020-09-11 16:54 UTC by Peter Robinson
Modified: 2020-09-16 08:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-16 08:58:23 UTC
Type: Bug
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2020-09-11 16:54:22 UTC
SPEC: https://pbrobinson.fedorapeople.org/rust-picky-asn1.spec
SRPM: https://pbrobinson.fedorapeople.org/rust-picky-asn1-0.3.0-1.fc32.src.rpm

Description:
Provide ASN.1 simple types

FAS: pbrobinson
koji:

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-09-13 07:55:48 UTC
 Problem: nothing provides requested (crate(oid/serde_support) >= 0.2.0 with crate(oid/serde_support) < 0.3.0)

Comment 2 Jared Smith 2020-09-14 19:28:24 UTC
Package is approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 10 files have unknown
     license. Detailed output of licensecheck in /tmp/1878234-rust-picky-
     asn1/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     picky-asn1-devel , rust-picky-asn1+default-devel , rust-picky-
     asn1+chrono-devel , rust-picky-asn1+chrono_conversion-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-picky-asn1-devel-0.3.0-1.fc34.noarch.rpm
          rust-picky-asn1+default-devel-0.3.0-1.fc34.noarch.rpm
          rust-picky-asn1+chrono-devel-0.3.0-1.fc34.noarch.rpm
          rust-picky-asn1+chrono_conversion-devel-0.3.0-1.fc34.noarch.rpm
          rust-picky-asn1-0.3.0-1.fc34.src.rpm
rust-picky-asn1-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 HTTP Error 404: Not Found
rust-picky-asn1-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/picky-asn1-0.3.0/.cargo-checksum.json
rust-picky-asn1+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 HTTP Error 404: Not Found
rust-picky-asn1+default-devel.noarch: W: no-documentation
rust-picky-asn1+chrono-devel.noarch: W: spelling-error %description -l en_US chrono -> chronic
rust-picky-asn1+chrono-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 HTTP Error 404: Not Found
rust-picky-asn1+chrono-devel.noarch: W: no-documentation
rust-picky-asn1+chrono_conversion-devel.noarch: W: spelling-error %description -l en_US chrono -> chronic
rust-picky-asn1+chrono_conversion-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 HTTP Error 404: Not Found
rust-picky-asn1+chrono_conversion-devel.noarch: W: no-documentation
rust-picky-asn1.src: W: invalid-url URL: https://crates.io/crates/picky-asn1 HTTP Error 404: Not Found
5 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
rust-picky-asn1-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 <urlopen error [Errno -3] Temporary failure in name resolution>
rust-picky-asn1-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/picky-asn1-0.3.0/.cargo-checksum.json
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
rust-picky-asn1+chrono-devel.noarch: W: spelling-error %description -l en_US chrono -> chronic
rust-picky-asn1+chrono-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 <urlopen error [Errno -3] Temporary failure in name resolution>
rust-picky-asn1+chrono-devel.noarch: W: no-documentation
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
rust-picky-asn1+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 <urlopen error [Errno -3] Temporary failure in name resolution>
rust-picky-asn1+default-devel.noarch: W: no-documentation
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
rust-picky-asn1+chrono_conversion-devel.noarch: W: spelling-error %description -l en_US chrono -> chronic
rust-picky-asn1+chrono_conversion-devel.noarch: W: invalid-url URL: https://crates.io/crates/picky-asn1 <urlopen error [Errno -3] Temporary failure in name resolution>
rust-picky-asn1+chrono_conversion-devel.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 10 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/picky-asn1/0.3.0/download#/picky-asn1-0.3.0.crate :
  CHECKSUM(SHA256) this package     : b0718a593406db1ad8be482278f79215a0901e978925462159d8598cacb004ea
  CHECKSUM(SHA256) upstream package : b0718a593406db1ad8be482278f79215a0901e978925462159d8598cacb004ea


Requires
--------
rust-picky-asn1-devel (rpmlib, GLIBC filtered):
    (crate(oid/serde_support) >= 0.2.0 with crate(oid/serde_support) < 0.3.0)
    (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0)
    (crate(serde_bytes/default) >= 0.11.0 with crate(serde_bytes/default) < 0.12.0)
    cargo

rust-picky-asn1+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(picky-asn1)

rust-picky-asn1+chrono-devel (rpmlib, GLIBC filtered):
    (crate(chrono/default) >= 0.4.0 with crate(chrono/default) < 0.5.0)
    cargo
    crate(picky-asn1)

rust-picky-asn1+chrono_conversion-devel (rpmlib, GLIBC filtered):
    (crate(chrono/default) >= 0.4.0 with crate(chrono/default) < 0.5.0)
    cargo
    crate(picky-asn1)



Provides
--------
rust-picky-asn1-devel:
    crate(picky-asn1)
    rust-picky-asn1-devel

rust-picky-asn1+default-devel:
    crate(picky-asn1/default)
    rust-picky-asn1+default-devel

rust-picky-asn1+chrono-devel:
    crate(picky-asn1/chrono)
    rust-picky-asn1+chrono-devel

rust-picky-asn1+chrono_conversion-devel:
    crate(picky-asn1/chrono_conversion)
    rust-picky-asn1+chrono_conversion-devel



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1878234
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Ocaml, C/C++, Python, Perl, Java, Haskell, fonts, SugarActivity, R, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Gwyn Ciesla 2020-09-14 19:49:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-picky-asn1


Note You need to log in before you can comment on or make changes to this bug.